> ## Documentation Index
> Fetch the complete documentation index at: https://docs.velafi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取加密货币充值地址

> 获取商户钱包在特定代币和区块链网络上的链上充值地址，包括确认数要求。

使用此端点获取特定加密货币和网络的链上充值地址。您必须从下方支持的组合中同时提供 `tokenId` 和 `chainType`。响应包括充值地址、所需的地址标签（例如 XRP 或 EOS）、最低充值金额以及确认数要求。

> [!NOTE]
>
> 所有请求都必须在 `X-BH-TOKEN` 请求头中携带通过 `GET /v2/token/generate` 获取的业务令牌。

## 端点

`GET https://api.velafi.com/v2/assets/depositAddress`

## 查询参数

**tokenId** `string` *required*

要充值的代币符号。支持的值：`USDT`、`USDC`、`BTC`、`COPM`、`BRL1`、`MXNB`、`MMXN`。

**chainType** `string` *required*

区块链网络标识符。必须是所选 `tokenId` 的有效组合。请参阅下方支持的组合表。

**merchantId** `integer` *required*

要获取充值地址的商户 ID。

## 支持的代币 / 网络组合

| tokenId | chainType | 网络 |
| - | - | - |
| `USDT` | `TRC20` | Tron |
| `USDT` | `ERC20` | Ethereum |
| `USDT` | `BEP20` | BNB Smart Chain |
| `USDT` | `POL` | Polygon |
| `USDT` | `SPL20` | Solana Mainnet |
| `USDC` | `ERC20` | Ethereum |
| `USDC` | `POL` | Polygon |
| `USDC` | `SPL20` | Solana Mainnet |
| `BTC` | `BTC` | Bitcoin |
| `COPM` | `POL` | Polygon (POS) |
| `BRL1` | `POL` | Polygon (POS) |
| `MXNB` | `Arbitrum` | Arbitrum Network |
| `MMXN` | `ERC20` | Ethereum (ERC20) |
| `MMXN` | `TRC20` | TRON (TRC20) |

## 响应字段

**code** `number`

HTTP 风格的响应码。`200` 表示成功。

**msg** `string`

可读的状态信息，例如 `SUCCESS`。

**data** `object`

**data 字段**

**allowDeposit** `boolean`

该地址当前是否允许充值。

**address** `string`

链上充值地址。

**addressExt** `string`

地址标签或 memo（部分代币必填）。若不需要则为空字符串。

**minQuantity** `string`

该代币的最低充值金额。

**needAddressTag** `boolean`

充值交易中是否必须包含地址标签。

**requiredConfirmNum** `number`

充值入账前所需的链上确认数。

**canWithdrawConfirmNum** `number`

充值资金可提现前所需的链上确认数。

**tokenType** `string`

内部代币类型标识符。

## 示例

```bash cURL theme={null}
curl -G https://api.velafi.com/v2/assets/depositAddress \
  -H "X-BH-TOKEN: YOUR_TOKEN" \
  --data-urlencode "tokenId=USDT" \
  --data-urlencode "chainType=TRC20" \
  --data-urlencode "merchantId=12345"
```

```json Response theme={null}
{
  "code": 200,
  "msg": "SUCCESS",
  "data": {
    "allowDeposit": true,
    "address": "YOUR_DEPOSIT_ADDRESS",
    "addressExt": "",
    "minQuantity": "5",
    "needAddressTag": false,
    "requiredConfirmNum": 12,
    "canWithdrawConfirmNum": 20,
    "tokenType": "TRX_TOKEN"
  }
}
```

> [!WARNING]
>
> 在向用户展示地址之前，请务必检查 `allowDeposit`。如果 `allowDeposit` 为 `false`，发送到该地址的资金可能无法入账。如果该标志意外地持续为 `false`，请联系 VelaFi 支持团队。


## Related topics

- [获取加密货币充值记录](https://docs.velafi.com/cn/api-reference/crypto-wallet/get-crypto-deposit-history.md)
- [获取加密货币提现记录](https://docs.velafi.com/cn/api-reference/crypto-wallet/get-crypto-withdrawal-history.md)
- [获取加密货币划转记录](https://docs.velafi.com/cn/api-reference/merchant/query-crypto-transfers.md)
- [获取加密货币列表](https://docs.velafi.com/cn/api-reference/basic-configuration/get-list-of-crypto-currencies.md)
- [获取加密货币/法币报价](https://docs.velafi.com/cn/api-reference/quote/get-user-quote-for-crypto-fiat.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.